AOZ Studio Beta - Bug #961

On Error Goto and On Error Proc are NOT working.
12/03/2022 07:13 PM - Brian Flanagan

Status: Resolved Start date: 12/03/2022
Priority: High Due date:

Assignee: AQOZ Developers % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u27

Description

The On Error Goto or On Error Proc statements do not produce an error in and of themselves, however, if an error occurs, instead of
going to the error handler, AOZ returns an Internal Error

Example:
On Error Goto ErrorHandler

Print ACos (
Print ACos(-1.1)
Print ASin (2)
Print ASin (-2)
Print 12/0

1.1)

End

ErrorHandler:
Print Errn,Err$

NOTE: If you comment the On Error statement, you'll see the math errors.
NOTE?2: If you keep the On Error statement, and comment the errant math functions instead, the program works.

History

#1 - 12/03/2022 07:20 PM - Brian Flanagan
- Assignee set to AOZ Developers

- Affected version set to 1.0.0 (B17)

Tested in newest version from .git as of 11/27/2022.

#2 - 12/03/2022 07:21 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B17) to 1.0.0 (B16) u27

#3 - 01/19/2023 05:26 AM - Francois Lionet

- Status changed from New to Resolved

Fixed!
